xgboost

Functions | Variables
xgboost::common::aft Namespace Reference

## Functions
XGBOOST_DEVICE double | Clip (double x, double x_min, double x_max)
template<typename Distribution >
XGBOOST_DEVICE double | GetLimitGradAtInfPred (CensoringType censor_type, bool sign, double sigma)
template<typename Distribution >
XGBOOST_DEVICE double | GetLimitHessAtInfPred (CensoringType censor_type, bool sign, double sigma)
template<>
XGBOOST_DEVICE double | GetLimitGradAtInfPred< NormalDistribution > (CensoringType censor_type, bool sign, double sigma)
template<>
XGBOOST_DEVICE double | GetLimitHessAtInfPred< NormalDistribution > (CensoringType censor_type, bool sign, double sigma)
template<>
XGBOOST_DEVICE double | GetLimitGradAtInfPred< LogisticDistribution > (CensoringType censor_type, bool sign, double sigma)
template<>
XGBOOST_DEVICE double | GetLimitHessAtInfPred< LogisticDistribution > (CensoringType censor_type, bool sign, double sigma)
template<>
XGBOOST_DEVICE double | GetLimitGradAtInfPred< ExtremeDistribution > (CensoringType censor_type, bool sign, double sigma)
template<>
XGBOOST_DEVICE double | GetLimitHessAtInfPred< ExtremeDistribution > (CensoringType censor_type, bool sign, double sigma)

## Variables
constexpr double | kMinGradient = -15.0
constexpr double | kMaxGradient = 15.0
constexpr double | kMinHessian = 1e-16
constexpr double | kMaxHessian = 15.0
constexpr double | kEps = 1e-12

## Function Documentation

## ◆ Clip()

XGBOOST_DEVICE double xgboost::common::aft::Clip | ( | double | x,
|  | double | x_min,
|  | double | x_max
| ) |  |
| inline

## ◆ GetLimitGradAtInfPred()

template<typename Distribution >

XGBOOST_DEVICE double xgboost::common::aft::GetLimitGradAtInfPred | ( | CensoringType | censor_type,
|  | bool | sign,
|  | double | sigma
| ) |  |
| inline

## ◆ GetLimitGradAtInfPred< ExtremeDistribution >()

template<>

XGBOOST_DEVICE double xgboost::common::aft::GetLimitGradAtInfPred< ExtremeDistribution > | ( | CensoringType | censor_type,
|  | bool | sign,
|  | double | sigma
| ) |  |
| inline

## ◆ GetLimitGradAtInfPred< LogisticDistribution >()

template<>

XGBOOST_DEVICE double xgboost::common::aft::GetLimitGradAtInfPred< LogisticDistribution > | ( | CensoringType | censor_type,
|  | bool | sign,
|  | double | sigma
| ) |  |
| inline

## ◆ GetLimitGradAtInfPred< NormalDistribution >()

template<>

XGBOOST_DEVICE double xgboost::common::aft::GetLimitGradAtInfPred< NormalDistribution > | ( | CensoringType | censor_type,
|  | bool | sign,
|  | double | sigma
| ) |  |
| inline

## ◆ GetLimitHessAtInfPred()

template<typename Distribution >

XGBOOST_DEVICE double xgboost::common::aft::GetLimitHessAtInfPred | ( | CensoringType | censor_type,
|  | bool | sign,
|  | double | sigma
| ) |  |
| inline

## ◆ GetLimitHessAtInfPred< ExtremeDistribution >()

template<>

XGBOOST_DEVICE double xgboost::common::aft::GetLimitHessAtInfPred< ExtremeDistribution > | ( | CensoringType | censor_type,
|  | bool | sign,
|  | double | sigma
| ) |  |
| inline

## ◆ GetLimitHessAtInfPred< LogisticDistribution >()

template<>

XGBOOST_DEVICE double xgboost::common::aft::GetLimitHessAtInfPred< LogisticDistribution > | ( | CensoringType | censor_type,
|  | bool | sign,
|  | double | sigma
| ) |  |
| inline

## ◆ GetLimitHessAtInfPred< NormalDistribution >()

template<>

XGBOOST_DEVICE double xgboost::common::aft::GetLimitHessAtInfPred< NormalDistribution > | ( | CensoringType | censor_type,
|  | bool | sign,
|  | double | sigma
| ) |  |
| inline

## Variable Documentation

## ◆ kEps

constexpr double xgboost::common::aft::kEps = 1e-12
| constexpr

## ◆ kMaxGradient

constexpr double xgboost::common::aft::kMaxGradient = 15.0
| constexpr

## ◆ kMaxHessian

constexpr double xgboost::common::aft::kMaxHessian = 15.0
| constexpr

## ◆ kMinGradient

constexpr double xgboost::common::aft::kMinGradient = -15.0
| constexpr

## ◆ kMinHessian

constexpr double xgboost::common::aft::kMinHessian = 1e-16
| constexpr